### File

`packages/components/layout/eui-app/eui-app-sidebar/sidebar-header-user-profile/sidebar-header-user-profile.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-sidebar-header-user-profile`
imports | `EUI_USER_PROFILE` `EUI_BUTTON` `EUI_ICON`
styleUrls | `./_styles/_index.scss`
templateUrl | `./sidebar-header-user-profile.component.html`

### Index

###### Properties
Public toggleProfile userProfileMenu
###### Methods
onClick onProfileClick
###### Inputs
avatarUrl hasProfileDrawer hasTabNavigation hasToggle hasWelcomeLabel impersonateLabel isOnline isShowAvatarInitials isShowUserInfos welcomeLabel
###### Outputs
toggle
###### HostBindings
class
###### HostListeners
click
###### Accessors
cssClasses

### Inputs

avatarUrl
Type : `string`

hasProfileDrawer
Type : `boolean`
Default value : `false`

hasTabNavigation
Type : `boolean`
Default value : `false`

hasToggle
Type : `boolean`
Default value : `false`

hasWelcomeLabel
Type : `boolean`
Default value : `true`

impersonateLabel
Type : `string`
Default value : `'acting as'`

isOnline
Type : `boolean`
Default value : `true`

isShowAvatarInitials
Type : `boolean`
Default value : `false`

isShowUserInfos
Type : `boolean`
Default value : `true`

welcomeLabel
Type : `string`
Default value : `'Welcome'`

### Outputs

toggle
Type : `EventEmitter<any>`

### HostBindings

class
Type : `string`

### HostListeners

click
Arguments : `'$event'`
`click(event: MouseEvent)`

### Methods

onClick
`onClick(event: MouseEvent)`
Decorators : `@HostListener('click', ['$event'])`
Parameters :
Name | Type | Optional
event | `MouseEvent` | No
Returns : `void`

onProfileClick
`onProfileClick(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

### Properties

Public toggleProfile
Default value : `false`

userProfileMenu
Type : `QueryList<EuiUserProfileMenuComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""